# Catchid

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/catchid`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'catchid'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install catchid

## Usage

Initialize api client:

    client = Catchid::Client.new('api-key')
or
    client = Catchid::Client.new('api-key', {api_version: 'v1', timeout: 60, proxy: 'localhost:8080', proxyuserpwd: 'user:pass'})

Get credits info:

    irb(main):002:0> client.info
    => {"show_credits"=>89352, "find_credits"=>97502}

Find contacts:

    irb(main):003:0> client.find(["+12345678901"])
    => {"incorrect"=>[], "data"=>[{"query"=>"+12345678901", "contacts"=>[{"uid"=>"2e3766b2-fefe-46b6-a3ba-6fd9ce766cae", "type"=>"instagram"}, {"uid"=>"8bb2dc2e-4620-4a02-92c7-fbb342d864b2", "type"=>"facebook"}, {"uid"=>"2c304ec8-04f6-4dcf-b2b1-a2786fc280f9", "type"=>"phone"}]}], "credits"=>{"show_credits"=>89352, "find_credits"=>97501}}

Show contacts:

    client.show(['2e3766b2-fefe-46b6-a3ba-6fd9ce766cae', '8bb2dc2e-4620-4a02-92c7-fbb342d864b2' '2c304ec8-04f6-4dcf-b2b1-a2786fc280f9'])
    => {"data"=>[{"uid"=>"2c304ec8-04f6-4dcf-b2b1-a2786fc280f9", "type"=>"phone", "contact"=>"+98765432109"}, {"uid"=>"8bb2dc2e-4620-4a02-92c7-fbb342d864b2", "type"=>"facebook", "contact"=>"https://www.facebook.com/profile.php?id=xxxtestxxx"}, {"uid"=>"2e3766b2-fefe-46b6-a3ba-6fd9ce766cae", "type"=>"instagram", "contact"=>"https://www.instagram.com/test"}], "credits"=>{"show_credits"=>89349, "find_credits"=>97501}}

If request finished with error, then return <Typhoeus::Response> object


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/catchid.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
